<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_04_blockoption() */
/* タブのスラグ haumenu_define_tab_slug_04_blockoption() */
/* $option_name 設定名 haumenu_define_option_name_04_blockoption() */
/* get_option GetOP04_blockoption() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_04_blockoption( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_blockoption';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_04_blockoption();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'use-resizing-latest-posts-block-image' => array(
			//'.latest-posts-block-image-height-wrapper', // 最近の投稿ブロックの画像の高さ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_04_blockoption', 20 );

/*** カスタマイズを適用するか ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_enable_comment_customization(){
//項目の追加
	add_settings_field(
		'enable-comment-customization', // 設定名
		__('Enable Comment Customize','hima-art-utility'), // 設定タイトル
		'haumenu_enable_comment_customization', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_enable_comment_customization' );

/* 入力フォーム */
function haumenu_enable_comment_customization() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-comment-customization'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable to apply customizations to comment blocks','hima-art-utility'); ?></p>
</label>
<?php
}

/*** テキスト入力欄を下に移動 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_text_input_bottom_move(){
//項目の追加
	add_settings_field(
		'text-input-bottom-move', // 設定名
		__('Move text field down','hima-art-utility'), // 設定タイトル
		'haumenu_text_input_bottom_move', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_text_input_bottom_move' );

/* 入力フォーム */
function haumenu_text_input_bottom_move() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'text-input-bottom-move'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Move the text input field below the input items such as "Name" and "Email"','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 文字列の変更 ***/
/** コメントを残す **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_title_reply(){
//項目の追加
	add_settings_field(
		'change-comment-label-title-reply', // 設定名
		__('Change Form Default Text','hima-art-utility'), // 設定タイトル
		'haumenu_change_comment_label_title_reply', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_title_reply' );

/* 入力フォーム */
function haumenu_change_comment_label_title_reply() {
	$default_text = __( 'Leave a Reply','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-title-reply'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** コメントをキャンセル **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_cancel_reply_link(){
//項目の追加
	add_settings_field(
		'change-comment-label-cancel-reply-link', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_cancel_reply_link', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_cancel_reply_link' );

/* 入力フォーム */
function haumenu_change_comment_label_cancel_reply_link() {
	$default_text = __( 'Cancel reply','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-cancel-reply-link'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** コメントを送信 **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_submit(){
//項目の追加
	add_settings_field(
		'change-comment-label-submit', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_submit', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_submit' );

/* 入力フォーム */
function haumenu_change_comment_label_submit() {
	$default_text = __( 'Post Comment','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-submit'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** 名前 **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_name(){
//項目の追加
	add_settings_field(
		'change-comment-label-name', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_name', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_name' );

/* 入力フォーム */
function haumenu_change_comment_label_name() {
	$default_text =  __( 'Name','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-name'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** メール **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_email(){
//項目の追加
	add_settings_field(
		'change-comment-label-email', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_email', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_email' );

/* 入力フォーム */
function haumenu_change_comment_label_email() {
	$default_text = __( 'Email','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-email'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** ウェブサイト **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_website(){
//項目の追加
	add_settings_field(
		'change-comment-label-website', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_website', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_website' );

/* 入力フォーム */
function haumenu_change_comment_label_website() {
	$default_text = __( 'Website','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-website'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** 次回のコメントで使用するためブラウザーに自分の名前、メールアドレス、サイトを保存する。 **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_cookie(){
//項目の追加
	add_settings_field(
		'change-comment-label-cookie', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_cookie', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_cookie' );

/* 入力フォーム */
function haumenu_change_comment_label_cookie() {
	$default_text =  __( 'Save my name, email, and website in this browser for the next time I comment.','hima-art-utility');

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-cookie'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="100" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** コメント **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_comment(){
//項目の追加
	add_settings_field(
		'change-comment-label-comment', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_comment', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_comment' );

/* 入力フォーム */
function haumenu_change_comment_label_comment() {
	$default_text = __( 'Comment','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-comment'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** ※（必須マーク） **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_req(){
//項目の追加
	add_settings_field(
		'change-comment-label-req', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_req', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_req' );

/* 入力フォーム */
function haumenu_change_comment_label_req() {
	$default_text = __('*','hima-art-utility');

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-req'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="30" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** メールアドレスが公開されることはありません。 **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_mail_unpublic(){
//項目の追加
	add_settings_field(
		'change-comment-label-mail-unpublic', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_mail_unpublic', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_mail_unpublic' );

/* 入力フォーム */
function haumenu_change_comment_label_mail_unpublic() {
	$default_text =__( 'Your email address will not be published.','hima-art-utility' );

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-mail-unpublic'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo esc_html($default_text); ?></span>
	<br>
	<input size="100" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/** ※ が付いている欄は必須項目です **/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_comment_label_req_message(){
//項目の追加
	add_settings_field(
		'change-comment-label-req-message', // 設定名
		'', // 設定タイトル
		'haumenu_change_comment_label_req_message', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_comment_label_req_message' );

/* 入力フォーム */
function haumenu_change_comment_label_req_message() {
	$default_text = wp_required_field_message();

	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-comment-label-req-message'; //個別配列名
?>
<label>
	<span style ="color:green;font-weight:700;"><?php echo wp_kses_post($default_text); ?></span>
	<br>
	<input size="100" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Replaces the WordPress standard character string in the input field with the entered character string','hima-art-utility'); ?></p>
</label>
<?php
}

/*** メッセージを改行させる ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_message_line_break(){
//項目の追加
	add_settings_field(
		'message-line-break', // 設定名
		'', // 設定タイトル
		'haumenu_message_line_break', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_message_line_break' );

/* 入力フォーム */
function haumenu_message_line_break() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'message-line-break'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display "E-mail address will not be disclosed. Fields marked with * are required items."','hima-art-utility'); ?></p>
	</label>
<?php
}

/*** 「コメントを残す」の上に追加するコンテンツ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_before(){
//項目の追加
	add_settings_field(
		'add-comment-form-before', // 設定名
		__('Content to add above "Leave a Comment"','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_before', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_before' );

/* 入力フォーム */
function haumenu_add_comment_form_before() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-before'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** 「コメントを残す」の下に追加するコンテンツ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_top(){
//項目の追加
	add_settings_field(
		'add-comment-form-top', // 設定名
		__('Content to add under "Leave a comment"','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_top', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_top' );

/* 入力フォーム */
function haumenu_add_comment_form_top() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-top'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** 「名前」の上に追加するコンテンツ ***/
//comment_form_before_fields
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_before_fields(){
//項目の追加
	add_settings_field(
		'add-comment-form-before-fields', // 設定名
		__('Content to add above "Name"','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_before_fields', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_before_fields' );

/* 入力フォーム */
function haumenu_add_comment_form_before_fields() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-before-fields'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** 「次回のコメント．．」の下へ追加するコンテンツ ***/
//comment_form_after_fields
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_after_fields(){
//項目の追加
	add_settings_field(
		'add-comment-form-after-fields', // 設定名
		__('Content to add below "Next comment.."','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_after_fields', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_comment_form_after_fields' );

/* 入力フォーム */
function haumenu_add_comment_form_after_fields() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-after-fields'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** コメントフォームの下へ追加するコンテンツ ***/
//comment_form_after
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_after(){
//項目の追加
	add_settings_field(
		'add-comment-form-after', // 設定名
		__('Content to add below the comment form','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_after', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_after' );

/* 入力フォーム */
function haumenu_add_comment_form_after() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-after'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** 「〇〇としてログインしています」の下へ追加するコンテンツ ***/
//comment_form_logged_in_after
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_logged_in_after(){
//項目の追加
	add_settings_field(
		'add-comment-form-logged-in-after', // 設定名
		__('Content to be added below "Logged in as XX"','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_logged_in_after', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_logged_in_after' );

/* 入力フォーム */
function haumenu_add_comment_form_logged_in_after() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-logged-in-after'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** 「ログインが必要です」の下へ追加するコンテンツ ***/
//comment_form_must_log_in_after
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comment_form_must_log_in_after(){
//項目の追加
	add_settings_field(
		'add-comment-form-must-log-in-after', // 設定名
		__('Content to add below "Login required"','hima-art-utility'), // 設定タイトル
		'haumenu_add_comment_form_must_log_in_after', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comment_form_must_log_in_after' );

/* 入力フォーム */
function haumenu_add_comment_form_must_log_in_after() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comment-form-must-log-in-after'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}

/*** コメントが閉じているときに表示するコンテンツ ***/
//comments_closed
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_comments_closed(){
//項目の追加
	add_settings_field(
		'add-comments-closed', // 設定名
		__('Content to display when comment is closed','hima-art-utility'), // 設定タイトル
		'haumenu_add_comments_closed', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_blockoption(), //表示させるタブのスラグ
		haumenu_define_section_id_04_blockoption(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_comments_closed' );

/* 入力フォーム */
function haumenu_add_comments_closed() {
	$set_name = haumenu_define_option_name_04_blockoption(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'add-comments-closed'; //個別配列名
?>
<label>
	<p><?php esc_html_e('Enter the content to add in HTML format','hima-art-utility'); ?></p>
	<textarea class="ha-html-input" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="2" ><?php echo wp_kses_post( $options[ $option_name ] ?? '' ); ?></textarea>
</label>
<?php echo wp_kses_post(allow_tags_list()); ?>
<?php
}